summaryrefslogtreecommitdiffstats
path: root/bin/hornet/svdn
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2021-02-25 23:51:01 -0500
committerJesse Luehrs <doy@tozt.net>2021-02-26 01:52:00 -0500
commit5d5405115ee1059a205d25ff972e12256d09a1b5 (patch)
tree387e4f45de7f4bcba093a0cb6a597d640224210d /bin/hornet/svdn
parent449036cf4077218264b8235d0e9cd475f3fa20f3 (diff)
downloadconf-5d5405115ee1059a205d25ff972e12256d09a1b5.tar.gz
conf-5d5405115ee1059a205d25ff972e12256d09a1b5.zip
reconfigure various things for hornet
Diffstat (limited to 'bin/hornet/svdn')
-rwxr-xr-xbin/hornet/svdn29
1 files changed, 29 insertions, 0 deletions
diff --git a/bin/hornet/svdn b/bin/hornet/svdn
new file mode 100755
index 0000000..6687879
--- /dev/null
+++ b/bin/hornet/svdn
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+svst "$1" || exit 0
+
+svstop "$1"
+svst "$1" || exit 0
+
+sleep 1
+
+svstop "$1"
+for _ in $(seq 1 5); do
+ svst "$1" || exit 0
+ sleep 1
+done
+svst "$1" || exit 0
+
+svstop "$1"
+for _ in $(seq 1 10); do
+ svst "$1" || exit 0
+ sleep 1
+done
+svst "$1" || exit 0
+
+svkill "$1"
+svst "$1" || exit 0
+
+exit 1